{ python3Packages, fetchFromGitHub, ... }:
python3Packages.buildPythonPackage rec {
  pname = "nanokvm";
  version = "0.1.0";
  format = "pyproject";

  src = fetchFromGitHub {
    owner = "puddly";
    repo = "python-${pname}";
    rev = "v${version}";
    sha256 = "sha256-vIxvQtjaInnWQce7syiOWpP2kaw0IVw03HPovnB2J5M=";
  };

  buildInputs = with python3Packages; [
    setuptools
    setuptools-git-versioning
  ];

  nativeBuildInputs = with python3Packages; [
    aiohttp
    cryptography
    yarl
    paramiko
    pillow
    pydantic
  ];

  doCheck = false;
}
